cgGetNamedProgramParameter(3)

NAME
cgGetNamedProgramParameter - get a program parameter by name

SYNOPSIS
  #include <Cg/cg.h>
  CGparameter cgGetNamedProgramParameter( CGprogram program,
                                          CGenum name_space,
                                          const char * name );

PARAMETERS

program
    The program from which to retrieve the parameter.

name_space
    Specifies the namespace of the parameter to iterate through. Currently CG_PROGRAM and CG_GLOBAL are supported.

name
    Specifies the name of the parameter to retrieve.

RETURN VALUES
Returns the named parameter from the program.

Returns NULL if the program has no parameter corresponding to name.

DESCRIPTION
cgGetNamedProgramParameter is essentially identical to the cgGetNamedParameter manpage except it limits the search of the parameter to the name space specified by name_space.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgGetNamedProgramParameter was introduced in Cg 1.2.

SEE ALSO
the cgGetNamedParameter manpage